Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-qt/optiondlg.cpp File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Enumerations | Functions | Variables
optiondlg.cpp File Reference
`#include <QApplication>`
`#include <QCheckBox>`
`#include <QColorDialog>`
`#include <QComboBox>`
`#include <QDialogButtonBox>`
`#include <QFontDialog>`
`#include <QGroupBox>`
`#include <QHBoxLayout>`
`#include <QLabel>`
`#include <QLineEdit>`
`#include <QPainter>`
`#include <QPushButton>`
`#include <QScrollArea>`
`#include <QSpinBox>`
`#include "log.h"`
`#include "string_vector.h"`
`#include "options.h"`
`#include "client_main.h"`
`#include "fc_client.h"`
`#include "optiondlg.h"`

Go to the source code of this file.

## Enumerations

enum | { RESPONSE_CANCEL , RESPONSE_OK , RESPONSE_APPLY , RESPONSE_RESET , RESPONSE_REFRESH , RESPONSE_SAVE }

## Functions

QString | split_text (QString text, bool cut)
QString | cut_helptext (QString text)
void | option_dialog_popup (QString name, const struct option_set *poptset, bool client_set)
void | option_dialog_popdown (const struct option_set *poptset)
void | option_gui_update (struct option *poption)
void | option_gui_add (struct option *poption)
void | option_gui_remove (struct option *poption)

## Variables

QMap< const struct option_set *, option_dialog * > | dialog_list

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
RESPONSE_CANCEL |
RESPONSE_OK |
RESPONSE_APPLY |
RESPONSE_RESET |
RESPONSE_REFRESH |
RESPONSE_SAVE |

Definition at line 47 of file optiondlg.cpp.

## Function Documentation

## ◆ cut_helptext()

QString cut_helptext | ( | QString | text | ) |

Remove some text from given text(help text) to show as tooltip

Definition at line 105 of file optiondlg.cpp.

Referenced by get_tooltip(), get_tooltip_improvement(), get_tooltip_unit(), and research_diagram::mouseMoveEvent().

## ◆ option_dialog_popdown()

void option_dialog_popdown | ( | const struct option_set * | poptset | ) |

Popdown the option dialog for the option set.

Definition at line 906 of file optiondlg.cpp.

## ◆ option_dialog_popup()

void option_dialog_popup | ( | QString | name,
|  | const struct option_set * | poptset,
|  | bool | client_set
| ) |  |

Popup the option dialog for the option set.

Definition at line 776 of file optiondlg.cpp.

## ◆ option_gui_add()

void option_gui_add | ( | struct option * | poption | ) |

Add the GUI for the option.

That function is unneeded cause dialog is not being hid/restored and options are populated while creating

Definition at line 942 of file optiondlg.cpp.

## ◆ option_gui_remove()

void option_gui_remove | ( | struct option * | poption | ) |

Remove the GUI for the option.

That function is unneeded cause dialog is not being hid/restored and options are populated while creating

Definition at line 953 of file optiondlg.cpp.

## ◆ option_gui_update()

void option_gui_update | ( | struct option * | poption | ) |

Update the GUI for the option.

Definition at line 920 of file optiondlg.cpp.

## ◆ split_text()

QString split_text | ( | QString | text,
|  | bool | cut
| ) |  |

Splits long text to 80 characters

Definition at line 62 of file optiondlg.cpp.

Referenced by option_dialog::add_option(), get_tooltip(), get_tooltip_improvement(), get_tooltip_unit(), and research_diagram::mouseMoveEvent().

## Variable Documentation

## ◆ dialog_list

QMap<const struct option_set *, option_dialog *> dialog_list

Definition at line 57 of file optiondlg.cpp.

Referenced by option_dialog_popdown(), option_dialog_popup(), and option_gui_update().